Page MenuHomePhabricator

Create landmarks for screen reader
Closed, ResolvedPublic

Event Timeline

violetto assigned this task to Prtksxna.
violetto raised the priority of this task from to Needs Triage.
violetto updated the task description. (Show Details)
violetto added a subscriber: violetto.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2015, 11:28 PM
Prtksxna removed Prtksxna as the assignee of this task.Jan 30 2015, 6:40 PM
Prtksxna triaged this task as Normal priority.
Prtksxna set Security to None.

@Prtksxna Connected to T107213?

Surely connected. That particular task doesn't cover all landmarks though, like navigation, search etc.

Volker_E added a comment.EditedAug 30 2015, 5:53 AM

T107213 introduces role="banner" and role="main" and I've integrated role="navigation" and footer[role="contentinfo"] into the latest patch. role="search" has been included already before.

RexxS added a subscriber: RexxS.Sep 19 2015, 10:33 PM

T107213 finally didn't include role="contentinfo because T104288 takes care about it.

Volker_E closed this task as Resolved.Dec 3 2015, 8:41 AM
Volker_E moved this task from In Dev/Progress to Done on the Wikimedia Design Style Guide board.